Subject: Re: [netlmm] I-D ACTION:draft-ietf-netlmm-proxymip6-00.txt

From: "Shyam Hemadpant" <[email-masked]>
Date: Wed, 2 May 2007 11:38:45 -0700

Hello Sri & other Authors,

  Thanks for posting the "-00" version of the WG document. I read
  the whole document and its written very nicely, other than few minor
  nits, that I will send it to you.Very good work.Glad to see this work
  moving in the right direction.

  I have some comments

  Will the support for shared links or shared prefixes will not be covered
  in the next version

  On section 6.9 (Mobile Node Detachment Detection and Resource Cleanup),
  do you plan to define a new message for notifying the MAG about the
  MN's attachment to a new MAG

  Can you add some text one the triggers that the MAG should act on for
  sending PBU

  Any updates on open source reference implementation
Cheers,
- Shyam

On 4/16/07, qinxia <[email-masked]> wrote:
>
> Hello Sri,
>
>                  Good job!  Here are only some editorial comments:
>
> Section 5.1.  Extensions to Binding Cache Conceptual Data Structure
> ......
> o  A flag indicating if IPv6 HoA mobility is accepted.  If this flag
>      is set, the relevant IPv6 HoA fields in this data structure have
>      to be set to the configured values.  If this flag.
>
> [comment] this sentence is not finished yet.
> ..........
>
> Page 5
>   Mobile Node (MN)
>
>      Through out this document, the term mobile node is used to refer
>      to an IP node whose mobility is provided by the network.  The
>      mobile node may be operating in IPv6 mode, IPv4 mode or in IPv4/
>      IPv6 dual mode. ...........
>
> Shall we define PMIPv4 protocol to present the operation in IPv4 mode
> which is
> independent to PMIPv6? since a few of protocol decription in PMIP6 does
> not adapt to
> ipv4 scenario , such as router advertisement is not exist at all in IPv4.
> Besides PMIPv4, of course we may define extension to PMIP6 to support
> dural stack
> mode.
>
> If there is already a conclusion on this question, please skip over this
> comment.
>
> Section 5.4
> ............
> As a mobile moves from one
>   mobile access gateway to the another, the serving mobile access
>   gateway will not predictably be able to locate the serving local
>   mobility anchor for that mobile that has its binding cache entry for
>   the mobile node.  However, if there is only one local mobility anchor
>   configured to serve a mobile node, the mobile access gateway can use
>   Dynamic Home Agent Address Discovery scheme for discovering the
>   address of the local mobility anchor.
> ..........
> As LMA is a HA for a mobile node, So could you clarify the scenario where
> there are
> several  LMAs for the distinct mobile node? Does that mean we need to
> support one
> more active LMAs which assign same home prefix at same time.
>
> One more comment,  What is a PMIP domain? Often, we say in a PMIP domain,
> however, no
> definetion is presented.
> In Wimax, HA could act as a LMA in a CSN which has agreements with one
> more ASNs.
> One network which is shaped into CSN and its pertinet ASNs could be called
> as local
> mobility mangement domain. In this case, ASN may be far away from CSN.
>
>
> Best Wishes
>
> Alice
>
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Friday, April 13, 2007 6:50 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [netlmm] I-D ACTION:draft-ietf-netlmm-proxymip6-00.txt
> >
> > A New Internet-Draft is available from the on-line
> > Internet-Drafts directories.
> > This draft is a work item of the Network-based Localized
> > Mobility Management Working Group of the IETF.
> >
> >       Title           : Proxy Mobile IPv6
> >       Author(s)       : S. Gundavelli, et al.
> >       Filename        : draft-ietf-netlmm-proxymip6-00.txt
> >       Pages           : 46
> >       Date            : 2007-4-12
> >
> >    Host based IPv6 mobility is specified in Mobile IPv6 base
> >    specification [RFC3775].  In that model, the mobile node is
> >    responsible for doing the signaling to its home agent to enable
> >    session continuity as it moves between subnets.  The
> > design principle
> >    in the case of host-based mobility relies on the mobile
> > node being in
> >    control of the mobility management.  Network based
> > mobility allows IP
> >    session continuity for a mobile node without its involvement in
> >    mobility management.  This specification describes a protocol
> >    solution for network based mobility management that relies
> > on Mobile
> >    IPv6 signaling and reuse of home agent functionality.  A proxy
> >    mobility agent in the network which manages the mobility
> > for a mobile
> >    node is the reason for referring to this protocol as Proxy Mobile
> >    IPv6.
> >
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-netlmm-proxymip6-00.txt
> >
> > To remove yourself from the I-D Announcement list, send a
> > message to [email-masked] with the word
> > unsubscribe in the body of the message.
> > You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> > to change your subscription settings.
> >
> > Internet-Drafts are also available by anonymous FTP. Login
> > with the username "anonymous" and a password of your e-mail
> > address. After logging in, type "cd internet-drafts" and then
> > "get draft-ietf-netlmm-proxymip6-00.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html or
> > ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> >       [email-masked].
> > In the body type:
> >       "FILE /internet-drafts/draft-ietf-netlmm-proxymip6-00.txt".
> >
> > NOTE: The mail server at ietf.org can return the document in
> >       MIME-encoded form by using the "mpack" utility.  To use this
> >       feature, insert the command "ENCODING mime" before the "FILE"
> >       command.  To decode the response(s), you will need "munpack" or
> >       a MIME-compliant mail reader.  Different MIME-compliant
> > mail readers
> >       exhibit different behavior, especially when dealing with
> >       "multipart" MIME messages (i.e. documents which have been split
> >       up into multiple messages), so check your local documentation on
> >       how to manipulate these messages.
> >
> > Below is the data which will enable a MIME compliant mail
> > reader implementation to automatically retrieve the ASCII
> > version of the Internet-Draft.
> >
>
>
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
>
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Sri Gundavelli" <[email-masked]>
Date: Thu, 3 May 2007 21:01:18 -0700

Hi Shyam,
 
Please see inline ...

  _____  

From: Shyam Hemadpant [mailto:[email-masked]] 
Sent: Wednesday, May 02, 2007 11:39 AM
To: qinxia
Cc: Sri Gundavelli; [email-masked]
Subject: Re: [netlmm] I-D ACTION:draft-ietf-netlmm-proxymip6-00.txt

  nits,  
 
[Sri] Ok. 
 
 that I will send it to you.Very good work.Glad to see this work
  moving in the right direction.

  I have some comments

[Sri] That's out of scope for the base document.

[Sri] No. There is guidance on how the MAG can detect the mobile node's
detachment from the access link and how it should notify the LMA. We 
dont plan to add a message from the LMA to the MAG. The mobile moving
away from the access link, is a local event and  the MAG should detect it
in many different ways as explained in Section 6.9. Also, a message from
the LMA is not for certain, as the mobile may move away from the MAG 
and may not attach to other MAG and in that the LMA cannot send this event.
So, the MAG ensuring the mobile's continued attachment to to the link 
is the right way to handle this.

 
[Sri] This is again specific to the access technology. But, we will cover
few of the IP network layer triggers such as DHCP address configuration
requests etc. We clarified this in the -01 version of the draft that we are
working on.

Thanks
Sri